#' Electric production, consumption and exchanges of France
#'
#' @description
#' This data.frame contains the electric production, consumption and exchanges
#' of France from january 2010 to february 2017 and of 12 french regions from
#' january 2013 to february 2017.
#'
#' In addition to the total production, the table contains one column for each
#' type of production. The table also contains the lattitude and longitude of
#' the center of the regions.
#'
#' @docType data
#' @author Francois Guillem \email{francois.guillem@rte-france.com}
#' @references \url{http://www.rte-france.com/fr/eco2mix/eco2mix}
#' @keywords datasets
"eco2mix"

#' Contours of the french new regions
#'
#' @description
#' An object of class \code{SpatialPolygons} containing the contours of the
#' french new regions.
#'
#' @docType data
#' @author Francois Guillem \email{francois.guillem@rte-france.com}
#' @references \url{http://www.rte-france.com/fr/eco2mix/eco2mix}
#' @keywords datasets
"regions"
